weka.classifiers.trees.ht

## Class InactiveHNode

- java.lang.Object
- - weka.classifiers.trees.ht.HNode
  - - weka.classifiers.trees.ht.LeafNode
    - - weka.classifiers.trees.ht.InactiveHNode

- All Implemented Interfaces:
    java.io.Serializable, LearningNode

      public class InactiveHNode
      extends LeafNode
      implements LearningNode, java.io.Serializable

  Class implementing an inactive node (i.e. one that does not allow growth)
  Version:
    $Revision: 9705 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class weka.classifiers.trees.ht.LeafNode

      `m_parentBranch, m_parentNode, m_theNode`

    - ### Fields inherited from class weka.classifiers.trees.ht.HNode

      `m_classDistribution`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InactiveHNode(java.util.Map<java.lang.String,WeightMass> classDistrib)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateNode(Instance inst)` Update the node with the supplied instance

    - ### Methods inherited from class weka.classifiers.trees.ht.HNode

      `classDistributionIsPure, getDistribution, graphTree, installNodeNums, isLeaf, leafForInstance, numEntriesInClassDistribution, toString, totalWeight, updateDistribution`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InactiveHNode

          public InactiveHNode(java.util.Map<java.lang.String,WeightMass> classDistrib)

      Constructor
      Parameters:
        `classDistrib` - the class distribution at this node

  - ### Method Detail

    - #### updateNode

          public void updateNode(Instance inst)

      Description copied from class: `HNode`
      Update the node with the supplied instance
      Overrides:
        `updateNode` in class `LeafNode`
      Parameters:
        `inst` - the instance to update with